---
title: Card Lock Unlock
description: To manage the card of a customer, prepaid card portal access will be provided from where the card can be locked or unlocked.
---

To manage the card of a customer, prepaid card portal access will be provided from where the card can be locked or unlocked. We must pass entity id, kit no, flag: L-Lock, UL- UnLock, BL-Permanent Block and reason for locking/unlocking in request. If the request has valid details, we will get a success response.

## POST

```
https://kraken.airpay.co.in/airpay/ms/cards/api/lock-unlock
```

## Header

| Field | Type | Description |
| --- | --- | --- |
| checksum | text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required) |
| token | text | Will be provided by airpay(required) |

## Parameter

| Field | Type | Description |
| --- | --- | --- |
| entity_id | text | The Customer Id registered with the system (length 50, required) |
| kit_no | text | Proxy card or kit number (required) |
| flag | text | L-Lock, UL-UnLock, BL-Permanent Block(required) |
| reason | text | Reason for blocking/unblocking(required) |
## Request-Example:

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/lock-unlock' \
--header 'token: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'entity_id=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-urlencode 'kit_no=100000001111'\
--data-urlencode 'flag=L' \
--data-urlencode 'reason=Inactive'
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | numeric | 400- fail,200-success |
| message | text | Success, Fail |
| data | json | [] |
## Success-Response:
```
{
    "status": 200,
    "message": "success",
    "data": []
}
```
## Fail-Response:

```
{
    "status": 400,
    "message": "fail"
}
```